in scala
object Array

`object` Array
  `extends` java.lang.Object
  `with` scala.ScalaObject

  This object ...

Author:
  Martin Odersky
Version:
  1.0

Constructor Summary
| `def` this

Def Summary
| `def` apply (xs: scala.Boolean*) : scala.Array[scala.Boolean]
| `def` apply (xs: scala.Byte*) : scala.Array[scala.Byte]
| `def` apply (xs: scala.Char*) : scala.Array[scala.Char]
| `def` apply (xs: scala.Double*) : scala.Array[scala.Double]
| `def` apply (xs: scala.Float*) : scala.Array[scala.Float]
| `def` apply (xs: scala.Int*) : scala.Array[scala.Int]
| `def` apply (xs: scala.Long*) : scala.Array[scala.Long]
| `def` apply (xs: scala.Short*) : scala.Array[scala.Short]
| `def` apply (xs: scala.Unit*) : scala.Array[scala.Unit]
| `def` apply [A <: java.lang.Object] (xs: A*) : scala.Array[A] Create an array with given elements.
| `def` concat [T] (xs: scala.Array[T]*) : scala.Array[T] Concatenate all argument arrays into a single array.
| `def` copy (src: java.lang.Object, srcPos: scala.Int, dest: java.lang.Object, destPos: scala.Int, length: scala.Int) : scala.Unit Copy one array to another. Equivalent to `System.arraycopy(src, srcPos, dest, destPos, length)`, except that this works also for polymorphic and boxed arrays.
| `def` make [a] (n: scala.Int, elem: a) : scala.Array[a] Create an array containing several copies of an element.
| `def` range (start: scala.Int, end: scala.Int) : scala.Array[scala.Int] Create a an array containing of successive integers.
| `def` unapplySeq [A] (x: scala.Any) : scala.Option[scala.Seq[A]] This method is called in a pattern match { case Array(...) => }.

Constructor Detail

`def` this

Def Detail

`def` apply (xs: scala.Boolean*): scala.Array[scala.Boolean]

`def` apply (xs: scala.Byte*): scala.Array[scala.Byte]

`def` apply (xs: scala.Char*): scala.Array[scala.Char]

`def` apply (xs: scala.Double*): scala.Array[scala.Double]

`def` apply (xs: scala.Float*): scala.Array[scala.Float]

`def` apply (xs: scala.Int*): scala.Array[scala.Int]

`def` apply (xs: scala.Long*): scala.Array[scala.Long]

`def` apply (xs: scala.Short*): scala.Array[scala.Short]

`def` apply (xs: scala.Unit*): scala.Array[scala.Unit]

`def` apply [A <: java.lang.Object](xs: A*): scala.Array[A]

  Create an array with given elements.

Parameters:
  `xs -` the elements to put in the array
Returns:
  the array containing elements xs.

`def` concat [T](xs: scala.Array[T]*): scala.Array[T]

  Concatenate all argument arrays into a single array.

Parameters:
  `xs -` ...

`def` copy (src: java.lang.Object, srcPos: scala.Int, dest: java.lang.Object, destPos: scala.Int, length: scala.Int): scala.Unit

  Copy one array to another. Equivalent to `System.arraycopy(src, srcPos, dest, destPos, length)`, except that this works also for polymorphic and boxed arrays.

Parameters:
  `src -` ...
Parameters:
  `srcPos -` ...
Parameters:
  `dest -` ...
Parameters:
  `destPos -` ...
Parameters:
  `length -` ...

`def` make [a](n: scala.Int, elem: a): scala.Array[a]

  Create an array containing several copies of an element.

Parameters:
  `n -` the length of the resulting array
Parameters:
  `elem -` the element composing the resulting array
Returns:
  an array composed of n elements all equal to elem

`def` range (start: scala.Int, end: scala.Int): scala.Array[scala.Int]

  Create a an array containing of successive integers.

Parameters:
  `from -` the value of the first element of the array
Parameters:
  `end -` the value of the last element fo the array plus 1
Returns:
  the sorted array of all integers in range [from;end).

`def` unapplySeq [A](x: scala.Any): scala.Option[scala.Seq[A]]

  This method is called in a pattern match { case Array(...) => }.

Parameters:
  `x -` the selector value
Returns:
  array wrapped in an option, if this is a Seq, otherwise none